package com.keao.edu.user.api.entity;

import com.keao.edu.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(exam_room_student_relation):
 */
public class ExamRoomStudentRelation {

	private Long id;

	@ApiModelProperty(value = "考级项目编号")
	private Integer examinationBasicId;
	
	@ApiModelProperty(value = "考试教室编号")
	private Long examRoomId;
	
	@ApiModelProperty(value = "学员编号")
	private Integer studentId;

	private java.util.Date createTime;

	private java.util.Date updateTime;

	private String tenantId;

	@ApiModelProperty(value = "房间是否开启")
	private YesOrNoEnum classroomSwitch;

	public YesOrNoEnum getClassroomSwitch() {
		return classroomSwitch;
	}

	public void setClassroomSwitch(YesOrNoEnum classroomSwitch) {
		this.classroomSwitch = classroomSwitch;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setExaminationBasicId(Integer examinationBasicId){
		this.examinationBasicId = examinationBasicId;
	}
	
	public Integer getExaminationBasicId(){
		return this.examinationBasicId;
	}
			
	public void setExamRoomId(Long examRoomId){
		this.examRoomId = examRoomId;
	}
	
	public Long getExamRoomId(){
		return this.examRoomId;
	}
			
	public void setStudentId(Integer studentId){
		this.studentId = studentId;
	}
	
	public Integer getStudentId(){
		return this.studentId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setTenantId(String tenantId){
		this.tenantId = tenantId;
	}
	
	public String getTenantId(){
		return this.tenantId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
